{% set PageTitle = "Product Components" %}

{% extends "master.html" %}

{% block header %}{% endblock %}
{% block NavPrimary %}{% endblock %}

{% block main %}
	<div id="start-quote"></div>
	<div id="advice"></div>
	<div id="overview"></div>
{% endblock %}

{% block styles %}
	<link rel="stylesheet" href="dist/product.bundle.css">
{% endblock %}

{% block scripts %}
  <script src="dist/product.bundle.js"></script>

  <script>

  	var themes = ['cool-grey', 'warm-grey', 'mint', 'dusty-mint', 'pistachio', 'dusty-pistachio', 'apricot', 'light-apricot', 'light-meadow', 'light-bluebell', 'strawberry', 'blackcurrant', 'teal', 'clover'];

  	var component = document.getElementById("start-quote");

  	for(var i = 1; i <= themes.length; i++)
  	{
  		var element = document.createElement("div");
		element.id	= component.id + "-" + i;

		component.appendChild(element);

		let textColour="green";
		if(i==1){
		textColour="black";
		}
		else if(i==2){
		textColour="white";
		}

 		ReactDOM.render(React.createElement(Components.StartQuote, {
 			id:'a' + i,
 			theme:
 			{
	          themeName: themes[i - 1],
	          textColour:textColour,
	          topCurve:{
	            type:'convex'
	          }
	        },
	    	headline: 'Now sit back, relax and start your quote',
	    	ctas: [
	          {
	            type:'primary',
	            link:'<a href="#">Start your quote</a>',
	          },
	          {
	            type:'secondary',
	            link:'<a href="#">Your saved quote </a>'
	          }
	        ]
	    }), document.getElementById(element.id));
  	}

  	var component = document.getElementById("advice");

  	for(var i = 1; i <= themes.length; i++)
  	{
  		var element = document.createElement("div");
 			element.id	= component.id + "-" + i;

			 component.appendChild(element);

			 let textColour="green";
		if(i==1){
		textColour="black";
		}
		else if(i==2){
		textColour="white";
		}

 		ReactDOM.render(React.createElement(Components.Advice, {
			id:'b' + i,
			theme: {
				themeName : themes[i - 1],
				themeBefore : i === 1 ? themes[themes.length - 1]: '',
				textColour:textColour
			},
			headline : '"Looking for advice?"',
			intro: "Not sure if Life Insurance is the right product for you? Don’t worry; help is just a call away",
			image: '<img src="dist/images/placeholder/advisor-female.png" />',
			copy: `<p>Our friends at <a href="#">LifeSearch</a> can help you find the right insurance for you and your family's needs.</p>`,
			contact: {
				tel: '0800 032 2844',
				opening : '<p><b>Mon to Thu</b> 8am-8pm Mon-Fri <b>Fri</b> 8am - 6pm</p>',
				info : 'Calls may be recorded and/or monitored for training and audit purposes.'
			}
	    }), document.getElementById(element.id));
  	}

  	var component = document.getElementById("overview");

  	for(var i = 1; i <= themes.length; i++)
  	{
  		var element = document.createElement("div");
 			element.id	= component.id + "-" + i;

			 component.appendChild(element);

			 let textColour="green";
		if(i==1){
		textColour="black";
		}
		else if(i==2){
		textColour="white";
		}

 		ReactDOM.render(React.createElement(Components.Cover, {
 			id:'c' + i,
 			theme: {
				 themeName: themes[i - 1],
				 textColour:textColour
 			},
 			themeBefore : i === 1 ? themes[themes.length - 1] : '',
 			label: 'Overview',
	    	headline : "Here’s how we can help",
	    	flourish : {
					html:'<img src="./dist/images/placeholder/Plane-new.png" />',
					extension:'png'
				},
	    	items: [
	    		{
	    			icon: '<img src="dist/images/cms/icon-stethoscope.png" />',
	    			copy: "Access to LV= Doctor Services to help you stay healthy day-to-day"
	    		},
	    		{
	    			icon: '<img src="dist/images/cms/icon-pound.png" />',
	    			copy: "Early pay out if you're diagnosed with a terminal illness"
	    		},
	    		{
	    			icon: '<img src="dist/images/cms/icon-document.png" />',
	    			copy: "Claims paid within 72 hours of receiving the death certificate"
	    		}
    		]
	    }), document.getElementById(element.id));
  	}

  </script>
{% endblock %}

